## Name

mod — compute value of one parameter modulo another

## Declaration

`genType mod(` | genType x,
| float y`)`;

`genType mod(` | genType x,
| genType y`)`;

`genDType mod(` | genDType x,
| double y`)`;

`genDType mod(` | genDType x,
| genDType y`)`;

## Parameters

`x`

  Specify the value to evaluate.

## Description

`mod` returns the value of `x` modulo `y`. This is computed as `x` - `y` * floor(`x`/`y`).

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
mod (genType) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
mod (genDType) | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

modf, floor

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.